# Uses of Interface
org.eclipse.birt.chart.script.api.data.IDataElement

Packages that use IDataElement
Package
Description
org.eclipse.birt.chart.script.api.component
org.eclipse.birt.chart.script.api.data

## Uses of IDataElement in org.eclipse.birt.chart.script.api.component

Methods in org.eclipse.birt.chart.script.api.component that return IDataElement
Modifier and Type
Method
Description
`IDataElement`
IMarkerRange.`getEndValue()`
Gets the end value for defining where the range will end
`IDataElement`
IMarkerRange.`getStartValue()`
Gets the start value for defining where the range will start
`IDataElement`
IMarkerLine.`getValue()`
Gets the value for defining where the line will be positioned
Methods in org.eclipse.birt.chart.script.api.component with parameters of type IDataElement
Modifier and Type
Method
Description
`void`
IMarkerRange.`setEndValue(IDataElement value)`
Sets the end value for defining where the range will end
`void`
IMarkerRange.`setStartValue(IDataElement value)`
Sets the start value for defining where the range will start
`void`
IMarkerLine.`setValue(IDataElement value)`
Sets the value for defining where the line will be positioned

## Uses of IDataElement in org.eclipse.birt.chart.script.api.data

Subinterfaces of IDataElement in org.eclipse.birt.chart.script.api.data
Modifier and Type
Interface
Description
`interface`
`IDateTimeDataElement`
A representation of the model object 'Date Time Data Element'.
`interface`
`INumberDataElement`
A representation of the model object 'Number Data Element'.